package com.pacsol.caseview;

import com.vaadin.flow.component.dependency.HtmlImport;
import com.vaadin.flow.component.orderedlayout.VerticalLayout;
import com.vaadin.flow.router.Route;

/** The main view contains a button and a template element. */
@HtmlImport("styles/shared-styles.html")
@Route("")
public class MainView extends VerticalLayout {

	public MainView() {
		setSizeFull();
		getElement().getStyle().set("background-color", "pink");
		TopMenu template = new TopMenu();
		add(template);
		setClassName("main-layout");
	}
}
