package com.pacsol.caseview;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.vaadin.flow.component.Tag;
import com.vaadin.flow.component.dependency.HtmlImport;
import com.vaadin.flow.component.polymertemplate.PolymerTemplate;
import com.vaadin.flow.templatemodel.TemplateModel;
import com.pacsol.caseview.WorkWithCases;
import com.vaadin.flow.component.polymertemplate.Id;

/**
 * A Designer generated component for the top-menu.html template.
 *
 * Designer will add and remove fields with @Id mappings but does not overwrite
 * or otherwise change this file.
 */
@Tag("top-menu")
@HtmlImport("src/top-menu.html")
public class TopMenu extends PolymerTemplate<TopMenu.TopMenuModel> {
	private static Logger logger = LoggerFactory.getLogger(TopMenu.class);
	@Id("workWithCases")
	private WorkWithCases workWithCases;

	/** This model binds properties between TopMenu and top-menu.html */
	public interface TopMenuModel extends TemplateModel {
		// Add setters and getters for template properties here.
	}

	/** Creates a new TopMenu. */
	public TopMenu() {
		// You can initialise any data required for the connected UI components here.
		logger.info("TopMenu instantiated.");
	}
}
