package com.pacsol.caseview;

import com.pacsol.caseview.dataproviders.CaseDataProvider;
import com.pacsol.caseview.models.CaseModel;
import com.vaadin.flow.component.Tag;
import com.vaadin.flow.component.dependency.HtmlImport;
import com.vaadin.flow.component.grid.Grid;
import com.vaadin.flow.component.grid.Grid.Column;
import com.vaadin.flow.component.polymertemplate.Id;
import com.vaadin.flow.component.polymertemplate.PolymerTemplate;
import com.vaadin.flow.templatemodel.TemplateModel;

/**
 * A Designer generated component for the work-with-cases.html template.
 *
 * Designer will add and remove fields with @Id mappings but does not overwrite
 * or otherwise change this file.
 */
@Tag("work-with-cases")
@HtmlImport("src/work-with-cases.html")
public class WorkWithCases extends PolymerTemplate<WorkWithCases.WorkWithCasesModel> {

	@Id("grid")
	private Grid<CaseModel> grid;

	/** Creates a new WorkWithCases. */
	public WorkWithCases() {
		grid.setDataProvider(new CaseDataProvider<Object>());
		Column<CaseModel> col_ref = grid.addColumn(CaseModel::getId);
		col_ref.setHeader("Ref");
		Column<CaseModel> col_cust_name = grid.addColumn(CaseModel::getCustomerName);
		col_cust_name.setHeader("Customer name");
	}

	/**
	 * This model binds properties between WorkWithCases and work-with-cases.html
	 */
	public interface WorkWithCasesModel extends TemplateModel {
		// Add setters and getters for template properties here.
	}
}
